package cz.moneta.test.dsl.kasanova.components.enums;

import java.util.Random;

public enum KSNGender {
    MAN("Muž"),
    WOMAN("Žena");
    
    private final String value;
    private static final Random random = new Random();
    
    KSNGender(String value) {
        this.value = value;
    }
    
    public String getValue() {
        return this.value;
    }

    public static String getRandomGenderValue() {
        int i = random.nextInt(KSNGender.values().length);
        return KSNGender.values()[i].getValue();
    }
}
